JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TextLayout::Line Class Reference
juce_graphics » fonts

A line containing a sequence of glyph-runs. More...

`#include <juce_TextLayout.h>`

## Public Member Functions
| Line ()=default
| Line (Range< int > stringRange, Point< float > lineOrigin, float ascent, float descent, float leading, int numRunsToPreallocate)
| Line (const Line &)
Line & | operator= (const Line &)
| Line (Line &&) noexcept=default
Line & | operator= (Line &&) noexcept=default
| ~Line () noexcept=default
Range< float > | getLineBoundsX () const noexcept
| Returns the X position range which contains all the glyphs in this line.
Range< float > | getLineBoundsY () const noexcept
| Returns the Y position range which contains all the glyphs in this line.
Rectangle< float > | getLineBounds () const noexcept
| Returns the smallest rectangle which contains all the glyphs in this line.
void | swap (Line &other) noexcept

## Public Attributes
OwnedArray< Run > | runs
| The glyph-runs in this line.
Range< int > | stringRange
| The character range that this line represents in the original string that was used to create it.
Point< float > | lineOrigin
| The line's baseline origin.
float | ascent = 0.0f
float | descent = 0.0f
float | leading = 0.0f

## Detailed Description

A line containing a sequence of glyph-runs.

## Constructor & Destructor Documentation

## ◆ Line() [1/4]

TextLayout::Line::Line | ( |  | ) |
| default

## ◆ Line() [2/4]

TextLayout::Line::Line | ( | Range< int > | stringRange,
|  | Point< float > | lineOrigin,
|  | float | ascent,
|  | float | descent,
|  | float | leading,
|  | int | numRunsToPreallocate )

## ◆ Line() [3/4]

TextLayout::Line::Line | ( | const Line & |  | ) |

## ◆ Line() [4/4]

TextLayout::Line::Line | ( | Line && |  | ) |
| default noexcept

## ◆ ~Line()

TextLayout::Line::~Line | ( |  | ) |
| default noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

Line & TextLayout::Line::operator= | ( | const Line & |  | ) |

## ◆ operator=() [2/2]

Line & TextLayout::Line::operator= | ( | Line && |  | ) |
| default noexcept

## ◆ getLineBoundsX()

Range< float > TextLayout::Line::getLineBoundsX | ( |  | ) | const
| noexcept

Returns the X position range which contains all the glyphs in this line.

## ◆ getLineBoundsY()

Range< float > TextLayout::Line::getLineBoundsY | ( |  | ) | const
| noexcept

Returns the Y position range which contains all the glyphs in this line.

## ◆ getLineBounds()

Rectangle< float > TextLayout::Line::getLineBounds | ( |  | ) | const
| noexcept

Returns the smallest rectangle which contains all the glyphs in this line.

## ◆ swap()

void TextLayout::Line::swap | ( | Line & | other | ) |
| noexcept

## Member Data Documentation

## ◆ runs

OwnedArray<Run> TextLayout::Line::runs

The glyph-runs in this line.

## ◆ stringRange

Range<int> TextLayout::Line::stringRange

The character range that this line represents in the original string that was used to create it.

## ◆ lineOrigin

Point<float> TextLayout::Line::lineOrigin

The line's baseline origin.

## ◆ ascent

float TextLayout::Line::ascent = 0.0f

## ◆ descent

float TextLayout::Line::descent = 0.0f

## ◆ leading

float TextLayout::Line::leading = 0.0f

The documentation for this class was generated from the following file:

- juce_TextLayout.h